Skip to main content
PATCH
/
teams
/
{team_id}
Update Team
curl --request PATCH \
  --url https://api.{your-broker}.slate-labs.com/teams/{team_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "parent_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_active": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "parent_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "path": "<string>",
  "depth": 123,
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Path Parameters

team_id
string<uuid>
required

Body

application/json
name
string | null
parent_team_id
string<uuid> | null
is_active
boolean | null

Response

Successful Response

id
string<uuid>
required
name
string
required
parent_team_id
string<uuid> | null
required
path
string
required
depth
integer
required
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required